Qt 5.13 | Qt Quick Extras | QML Types | DelayButton QML Type

Qt 5.13.2 Reference Documentation

# DelayButton QML Type

A checkable button that triggers an action when held in long enough. More...

Import Statement: | import QtQuick.Extras 1.4
Since: | Qt 5.5

- List of all members, including inherited members

## Properties

- delay : int
- progress : real

## Signals

- activated()

## Detailed Description

The DelayButton is a checkable button that incorporates a delay before the button becomes checked and the activated signal is emitted. This delay prevents accidental presses.

The current progress is expressed as a decimal value between `0.0` and `1.0`. The time it takes for activated to be emitted is measured in milliseconds, and can be set with the delay property.

The progress is indicated by a progress indicator around the button. When the indicator reaches completion, it flashes.

A DelayButton being held down

A DelayButton after being activated

You can create a custom appearance for a DelayButton by assigning a DelayButtonStyle.

## Property Documentation

delay : int

This property holds the time it takes (in milliseconds) for progress to reach `1.0` and emit activated.

The default value is `3000` ms.

[read-only] progress : real

This property holds the current progress as displayed by the progress indicator, in the range `0.0` - `1.0`.

## Signal Documentation

activated()

This signal is emitted when progress reaches `1.0` and the button becomes checked.